Favicon

You are here: Home > API Reference > Integrations > Organization Integrations Harmony Mobile > Reset the password and clean all other fields except from "username" of the HarmonyMobile integration

Reset the password and clean all other fields except from "username" of the HarmonyMobile integration

Required Permission: mdm.integration.harmonyMobile.reset

Reset the password and clean all other fields except from "username" of the HarmonyMobile integration

DELETE
/v1/organizations/:organizationId/integrations/harmony-mobile/
Copy to clipboard

Reset the password and clean all other fields except from "username" of the HarmonyMobile integration

Required Permission: mdm.integration.harmonyMobile.reset

Reset the password and clean all other fields except from "username" of the HarmonyMobile integration

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Responses

200 Response application/json
status boolean required
data object required
username string optional
≤ 128 characters
password string optional
≤ 128 characters · ≥ 8 characters
token string optional
≤ 128 characters
portalAccountId string optional
≤ 256 characters
gwAddress string optional
≤ 128 characters
{
    "status": true,
    "data": {
        "username": "string",
        "password": "string",
        "token": "string",
        "portalAccountId": "string",
        "gwAddress": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}